package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 路由关联
 */
public interface RouteTableAssociationProvider extends SuperProvider {

    default BocloudResult replaceAssociation(String routeTableId, String associationId) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult associateRouteTable(String routeTableId, String gatewayId, String subnetId) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult disassociateRouteTable(String associationId) {
        return new BocloudResult(false, "暂未开发！");
    }
}
